%define Glide3version       20001220
%define GlideLibver         3.10.0
%define MesaPackageDep      3.4-13

# BuildDebugVersion - turns on verbose compiler warnings, static server
# BuildVoodoo - support for Voodoo & VoodooII cards (Requires Glide2)
# BuildTdfx - enables support for 3dfx Voodoo 3 and later cards
# BuildGlide3 - determines wether or not to build Glide internally or not
# BuildXft - Adds _experimental_ support for Xft

%define BuildDebugVersion   0
%define BuildVoodoo         0

%ifarch %{ix86} alpha ia64
%define BuildTdfx   	    1
%else
%define BuildTdfx           0
%endif

%if %{BuildTdfx}
%define BuildGlide3         1
%else
%define BuildGlide3         0
%endif

%define BuildXft            1

Name: XFree86
Version: 4.0.3
Release: 5

Summary: The basic fonts, programs and docs for an X workstation.
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# Sparc build still fails.  Disabled until next devel cycle as it 
# is wasting my time in a big bad way. (MH - Mar 13, 2001).  I doubt it
# is hard to fix, so be my guest.  Patches welcome.  ;o)
ExcludeArch: sparc

# Disable build root strip policy, XFree86 drivers must NOT be stripped.
%define __spec_install_post /usr/lib/rpm/brp-compress

Source:   XFree86-%{version}.tar.bz2
Source3:  xserver.pamd
Source4:  xdm.pamd
Source5:  xfs.init
Source6:  xfs.config
Source7:  xdm.init
Source8:  eurofonts-X11.tar.bz2
Source12: Glide3-%{Glide3version}.tar.bz2
Source13: glidelink.c
# Savage driver 1.15 dropin (Mar 27, 2001)
Source14: http://www.probo.com/timr/sav40src.tgz

# This patch must be applied first as it brings stock source tarball up to 
# date with the latest stable XFree86 branch source. (not trunk)
#Patch0:   XFree86-4.0.2a-xf-4_0_2-branch-2001-03-09.patch
Patch2:   XFree86-ISO8859-2-1.0-redhat.patch

Patch7:   XFree86-4.0-xtermresources.patch
Patch12:  XFree86-4.0-broken-includes.patch
Patch19:  XFree86-4.0-Xwrapper.patch
Patch20:  glide-ia64.patch
Patch109: XFree86-4.0.1-alpha-pcibus-lemming.patch
Patch116: XFree86-4.0.1-pic.patch
Patch201: xdm-4.0-servonly.patch
Patch204: XFree86-4.0.1-dri-sym.patch
Patch209: XFree86-4.0.1-cpp.patch
Patch211: XFree86-4.0.1-xman.patch
Patch213: XFree86-4.0.1-xdm-pam.patch
Patch220: XFree86-4.0.1Z-nokernelmodules.patch

Patch300: XFree86-4.0.1-parallelmake.patch
Patch302: XFree86-4.0.1Z-locale.alias.patch
Patch303: XFree86-4.0.2-fhs.patch
Patch304: XFree86-4.0.2-portuguese.patch
Patch305: XFree86-4.0.2-xfree86.lst.patch
Patch308: XFree86-4.0.2-romanian-keyboard-fix.patch
Patch309: XFree86-4.0.2-Xft-update.patch

# Some fixes for Cirrus Logic 5480 video cards
Patch314: XFree86-4.0.2-cirrus.patch

# Adds 1400x1050 video modelines to XFree for some laptops, etc.
Patch315: XFree86-4.0.2-defmodes-1400.patch

# Fixes ram timing in Voodoo Banshee cards
Patch319: XFree86-4.0.2-banshee-ramtiming.patch

Patch320: XFree86-4.0.2-ia64-int10.patch

# Neomagic 256XL+ (NM2380) in sony laptops need this to work properly
Patch323: XFree86-4.0.2-neomagic_swcursor.patch

# Forceload AGPgart when DRI is loaded <notting@redhat.com>
Patch324: XFree86-4.0.2-agpgart-load.patch

# Dell laptops need busmastering enabled but their BIOS is b0rken
Patch325: XFree86-4.0.2-mga-busmstr.patch
Patch326: XFree86-4.0.2-r128-busmstr2.patch

Patch328: XFree86-4.0.2-alpha-pci-resource.patch

# Enable external display on Rage Mobility (r128) for laptops
Patch329: XFree86-4.0.2-r128-mobility.patch

Patch330: XFree86-4.0.2-xft-match.patch

# Patch from Gareth Hughes for the drm_fifo
Patch335: XFree86-4.0.2-r128-drm-do-wait-for-fifo.patch

# Fix for euro locales, and other locale issues.
Patch336: XFree86-4.0.2-locale-euro.patch

# Makes ALT keys default to being Meta instead of Winkeys on 104+ keyboads
Patch400: XFree86-4.0.3-winkey-alt-meta.patch

# Fixes uninitialized memory reference in xlib (#32222)
Patch401: XFree86-4.0.3-uninitialized-memory-ref.patch

# Working G450 Matrox driver (Luugi Marsan & David Woodhouse)
Patch402: XFree86-4.0.3-mga-g450-4.0.3-20010323.patch

# Pam patch from Nalin <nalin@redhat.com>
Patch404: XFree86-4.0.3-xdm-pam.patch

# Fix bad page size assumptions in DRI drivers <mharris@redhat.com>
Patch405: XFree86-4.0.3-pagesize-fixup.patch

# Fixes (#31618) freed memory being deref'd in xaw <jik@kamens.brookline.ma.us>
Patch406: XFree86-4.0.3-xaw-freed-mem-deref.patch

# Fixes (#33152) - <jik@kamens.brookline.ma.us>
Patch407: XFree86-4.0.3-xaw-readtext.patch

# Fixes (#31540) - <jik@kamens.brookline.ma.us> emacs style flashing paren fix
Patch408: XFree86-4.0.3-xaw-flashing-paren.patch

# Savage glitch fixup
Patch409: XFree86-4.0.3-savage-glitch.patch

# Patch so that X can find the included Glide3 libraries for tdfx driver
Patch410: XFree86-4.0.3-glide3-libdir.patch

# Patch to fix G400 hardware cursor problems
Patch411: XFree86-4.0.3-mga-hwcursor-fix.patch

License: XFree86
BuildPrereq: tcl, tk, freetype-devel >= 2.0.1, flex >= 2.5.4a
BuildPrereq: Mesa-devel >= %{MesaPackageDep}
BuildPrereq: ncurses-devel, /lib/libpam.so
Requires: XFree86-xfs = %{version}, XFree86-libs = %{version}
Requires: /etc/pam.d/system-auth, Mesa >= %{MesaPackageDep}

%if %{BuildTdfx}
 %if ! %{BuildGlide3}
BuildPrereq: Glide3-devel >= %{Glide3version}
Requires: Glide3 >= %{Glide3version}
 %endif
%endif
Prereq: /bin/ln

Group: User Interface/X
Obsoletes: XFree86-ATI
Obsoletes: XFree86-Alliance
Obsoletes: XFree86-ChipsTechnologies
Obsoletes: XFree86-Cirrus
Obsoletes: XFree86-Cyrix
Obsoletes: XFree86-i740
Obsoletes: XFree86-i810
Obsoletes: XFree86-mga
Obsoletes: XFree86-NeoMagic
Obsoletes: XFree86-NVidia
Obsoletes: XFree86-Rage128
Obsoletes: XFree86-Rendition
Obsoletes: XFree86-SiS
Obsoletes: XFree86-3dfx
Obsoletes: XFree86-Trident
Obsoletes: XFree86-Tseng
Obsoletes: tdfx_dri
Obsoletes: X11R6-contrib

%package xfs
Summary: A font server for the X Window System.
Group: System Environment/Daemons
Prereq: fileutils sed
Requires: initscripts >= 5.20

%package twm
Summary: A simple window manager
Group: User Interface/X
Requires: XFree86
Provides: windowmanager

%package devel
Obsoletes: xpm-devel
Summary: X11R6 static libraries, headers and programming man pages.
Group: Development/Libraries
Requires: XFree86-libs = %{version}
%if %{BuildGlide3}
Obsoletes: Glide3-devel
Provides: Glide3-devel
%endif

%package xdm
Summary: X Display Manager
Requires: XFree86 = %{version}, /etc/pam.d/system-auth, xinitrc >= 2.9.8
Requires: initscripts >= 5.20
Group: User Interface/X

%package libs
Summary: Shared libraries needed by the X Window System version 11 release 6.4
Group: System Environment/Libraries
Obsoletes: xpm
Prereq: /sbin/ldconfig grep textutils
%if %{BuildGlide3}
Obsoletes: Glide3
Provides: Glide3
BuildPrereq: kudzu-devel, pciutils-devel
%else
Prereq: Glide3
%endif

%package 100dpi-fonts
Summary: X Window System 100dpi fonts.
Group: User Interface/X
Prereq: chkfontpath

%package 75dpi-fonts
Summary: A set of 75 dpi resolution fonts for the X Window System.
Group: User Interface/X
Prereq: chkfontpath

%package cyrillic-fonts
Summary: Cyrillic fonts for X.
Group: User Interface/X
Prereq: chkfontpath

%package ISO8859-2-100dpi-fonts
Summary: A set of 100 dpi Central European language fonts for X.
Group: User Interface/X
Prereq: chkfontpath

%package ISO8859-2-75dpi-fonts
Summary: A set of 75 dpi Central European language fonts for X.
Group: User Interface/X
Prereq: chkfontpath

%package ISO8859-2-Type1-fonts
Summary: A set of Type1 Central European language fonts for X.
Group: User Interface/X
Prereq: chkfontpath

%package doc
Summary: Documentation on various X11 programming interfaces.
Group: Documentation

%package Xnest
Summary: A nested XFree86 server.
Group: User Interface/X Hardware Support
Requires: XFree86 = %{version}

%package Xvfb
Summary: A virtual framebuffer X Windows System server for XFree86.
Group: User Interface/X Hardware Support
Requires: XFree86 = %{version}

%package V4L
Summary: Video for Linux (V4L) support for XFree86
Group: User Interface/X Hardware Support
Requires: XFree86 = %{version}

%package tools
Summary: Various tools for XFree86
Group: User Interface/X
Obsoletes: X11R6-contrib
Requires: XFree86

%package xf86cfg
Summary: XFree86 configurator
Group: User Interface/X
Obsoletes: XFree86-XF86Setup
Requires: XFree86 = %{version}
Requires: Xconfigurator



########## DESCRIPTIONS ##############################################

%description
The X Window System provides the base technology for developing
graphical user interfaces. Simply stated, X draws the elements
of the GUI on the user's screen and builds methods for sending
user interactions back to the application. X also supports remote
application deployment--running an application on another computer
while viewing the input/output on your machine.  X is a powerful
environment which supports many different applications, such as
games, programming tools, graphics programs, text editors, etc.
XFree86 is the version of X which runs on Linux, as well as on other
platforms.

This package contains the basic fonts, programs and documentation
for an X workstation.  However, this package doesn't provide the
program which you will need to drive your video hardware.  To
control your video card, you'll need the particular X server
package which corresponds to your computer's video card.

Additionally, you will need to install the Xconfigurator package, the xfs
X font server package and the XFree86-libs package.
You may also need to install one or more of the XFree86 fonts packages.

And finally, if you are going to develop applications that run as
X clients, you will also need to install XFree86-devel.


%description libs
XFree86-libs contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package
in order to reduce the disk space needed to run X applications on a
machine without an X server (i.e., over a network).

If you are installing the X Window System on your machine, you will
need to install XFree86-libs.  You will also need to install the
following packages: XFree86, one or more of the XFree86 fonts
packages, Xconfigurator, XFree86-xfs.  If you are
going to develop applications that run as X clients, you will also
need to install XFree86-devel.

%description V4L
This package adds Video for Linux (V4L) support to XFree86 %{version},
enabling functions like video overlay to work.

You should install XFree86-V4L if you have a V4L compatible framegrabber
board.

%description Xvfb
Xvfb (X Virtual Frame Buffer) is an X server that is able to run on
machines with no display hardware and no physical input devices.
Xvfb emulates a dumb framebuffer using virtual memory.  Xvfb doesn't
open any devices, but behaves otherwise as an X display.  Xvfb is
normally used for testing servers.  Using Xvfb, the mfb or cfb code
for any depth can be exercised without using real hardware that
supports the desired depths.  Xvfb has also been used to test X clients
against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load
testing, to help with porting an X server to a new platform, and to
provide an unobtrusive way of running applications which really don't
need an X server but insist on having one.

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

%description Xnest
Xnest is an X Window System server which runs in an X window.
Xnest is actually a client of the real X server, which manages
windows and graphics requests for Xnest, while Xnest manages the
windows and graphics requests for its own clients.

You will need to install Xnest if you require an X server which
will run as a client of your real X server (perhaps for testing
purposes).

%description ISO8859-2-75dpi-fonts
The XFree86-ISO8859-2-75dpi-fonts package contains a set of Central
European language fonts in 75 dpi resolution for the X Window System.
If you have a high resolution monitor capable of supporting 100 dpi,you should install the 100 dpi version of this package instead.

If you are installing the X Window System and you need to display
Central European language characters in 75 dpi resolution, you should
install this package.  You may also need to install one or more of the
other XFree86 fonts packages as well.  To install the X Window System,
you will need to install the XFree86 package, the XFree86 video card
package that corresponds to your video card, the Xconfigurator package and the
XFree86-libs package.
If you are going to develop applications that will run as X clients, you
will also need to install XFree86-devel.

%description ISO8859-2-100dpi-fonts
The XFree86-ISO8859-2-100dpi-fonts package includes Central European
(ISO 8859-2) fonts, in 100 dpi resolution, for the X Window System.

If you need to display the special characters used by Central European
languages on your X Window System, and your monitor can support 100 dpi
resolution, you should install the XFree86-ISO8859-2-100dpi-fonts
package.  You may need to install one or more of the other XFree86
fonts packages, as well.  To install the X Window System, you will need
to install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the Xconfigurator package and the
XFree86-libs package.
If you're going to develop applications which run as X clients, you'll
also need to install XFree86-devel.

%description ISO8859-2-Type1-fonts
The XFree86-ISO8859-2-Type1-fonts package contains Central European
Type 1 fonts for the X Window System.

If you need to display Central European language fonts on your X
Window System, you should install the XFree86-ISO8859-2-Type1-fonts
package.  You may need to also install one or more of the other XFree86
fonts packages.  To install the X Window System, you will need to
install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  Finally, if you
are going to develop applications that will run as X clients, you'll
need to install XFree86-devel.


%description doc
XFree86-doc provides a great deal of documentation, in PostScript
format, on the various X APIs, libraries, and other interfaces.  If
you need low level X documentation, you will find it here.  Topics
include the X protocol, the ICCCM window manager standard, ICE
session management, the font server API, etc.

%description 75dpi-fonts
XFree86-75dpi-fonts contains the 75 dpi fonts used on most X Window
Systems. If you're going to use the X Window System, you should
install this package, unless you have a monitor which can support 100
dpi resolution.  In that case, you may prefer the 100dpi fonts
available in the XFree86-100dpi-fonts package.

To install the X Window System, you will also need to install the
following packages: XFree86, the XFree86 server for your video card,
Xconfigurator, XFree86-xfs and XFree86-libs. Finally,
if you are going to develop applications that run as X clients, you
will also need to install the XFree86-devel package.

%description xdm
X Display Manager.

%description 100dpi-fonts
The XFree86-100dpi-fonts package contains a set of 100 dpi fonts used
on most Linux systems. If you're going to use the X Window System and
you have a high resolution monitor capable of 100 dpi, you should
install XFree86-100dpi-fonts.

If you are installing the X Window System, you will also need to
install the following packages: XFree86, the XFree86 server package
for your video card, Xconfigurator, XFree86-xfs and
XFree86-libs. You may also need to install other XFree86 fonts
packages. If you are going to develop applications that run as X
clients, you will also need to install the XFree86-devel package.

%description cyrillic-fonts
The XFree86-cyrillic-fonts package includes the Cyrillic fonts
included with XFree86 3.3.2 and higher. If you use a language that
requires the Cyrillic character set, you should install
XFree86-cyrillic-fonts.

If you are installing the X Window System, you will also need to
install the following packages: XFree86, the XFree86 package
corresponding to your video card, Xconfigurator,
XFree86-xfs and XFree86-libs. You may also need to install other
XFree86 fonts packages. If you are going to develop applications that
run as X clients, you will also need to install the XFree86-devel
package.


%description xfs
XFree86-xfs contains the font server for XFree86.  Xfs can also serve
fonts to remote X servers. The remote system will be able to use all
fonts installed on the font server, even if they are not installed on
the remote computer.

You'll need to install XFree86-xfs if you're installing the X Window
System. You'll also need to install the following packages: XFree86,
the XFree86 X server for your video card, the XFree86 fonts package(s)
appropriate for your system, Xconfigurator and XFree86-libs.

%description devel
XFree86-devel includes the libraries, header files and documentation
you'll need to develop programs which run as X clients. XFree86-devel
includes the base Xlib library as well as the Xt and Xaw widget sets.

Install XFree86-devel if you are going to develop programs which
will run as X clients.

%description twm
A simple and lightweight window manager

%description tools
Various tools for X, including listres, xbiff, xedit, xeyes, xcalc, xload
and xman, among others.

If you're using X, you should install XFree86-tools.  You will also
need to install the XFree86 package, the XFree86 package which
corresponds to your video card, one of the XFree86 fonts packages, the
Xconfigurator package and the XFree86-libs package.

Finally, if you are going to develop applications that run as X clients,
you will also need to install XFree86-devel.

This package contains all applications that used to be in X11R6-contrib
in older releases.

%description xf86cfg
Configuration tool for XFree86




##########  PREP  ###################################################

%prep
%setup -q -c -a 12




##########  PATCH  ##################################################

# This patch *MUST* be first
#%patch0 -p0 -b .xf-4_0_2-branch

%patch2 -p1 -b .redhat
%patch7 -p1 -b .xtermresources
%patch12 -p1 -b .broken
%patch19 -p1 -b .Xwrapper
%if %{BuildGlide3}
%patch20 -p0 -b .glide-ia64
%endif

%ifarch alpha
%patch109 -p0 -b .lemming
%endif

%ifarch ia64
%patch116 -p1 -b .pic
%endif

%patch201 -p1 -b .xdm-servonly
%patch204 -p1 -b .dri-sym
%patch209 -p1 -b .use-cpp
%patch211 -p1 -b .xman

# This may or may not be necessary. We'll see.
#%patch213 -p1 -b .xdm-pam

# Don't build the DRM kernel modules. We don't use them anyways.
%patch220 -p1 -b .nomodules

%patch300 -p1 -b .parallelmake
%patch302 -p0 -b .locale-alias-patch
%patch303 -p1 -b .fhs
%patch304 -p1 -b .portuguese
%patch305 -p0 -b .xfree86.lst
%patch308 -p0 -b .romanian-keyboard-fix

%if %{BuildXft}
#%patch309 -p0 -b .Xft-update
%endif

#%patch314 -p1 -b .cirrus
%patch315 -p0 -b .defmodes-1400
%patch319 -p0 -b .banshee-ramtiming

%ifarch ia64
%patch320 -p1 -b .ia64-int10
%endif

%patch323 -p1 -b .neomagic_swcursor
%patch324 -p1 -b .agpgart-load
%patch325 -p0 -b .mga-busmstr
%patch326 -p0 -b .r128-busmstr2

%ifarch alpha
%patch328 -p0 -b .alpha-pci-resource
%endif

%ifarch %{ix86}
%patch329 -p0 -b .r128-mobility
%endif

%if %{BuildXft}
%patch330 -p0 -b .xft-match
%endif

%patch335 -p0 -b .r128-drm-do-wait-for-fifo.patch
%patch336 -p1 -b .locale-euro

%patch400 -p1 -b .winkey-alt-meta
%patch401 -p0 -b .uninitialized-memory-ref

%patch402 -p0 -b .mga-g450-4.0.3-20010323

%patch404 -p1 -b .xdm-pam

%ifnarch %{ix86}
%patch405 -p0 -b .pagesize-fixup
%endif

%patch406 -p0 -b .xaw-freed-mem-deref
%patch407 -p0 -b .xaw-readtext
%patch408 -p0 -b .xaw-flashing-paren

# Drop in Savage driver update:
{
   echo "Applying SAVAGE driver tarball"
   pushd xc/programs/Xserver/hw/xfree86/drivers/savage
   tar zxvf %{SOURCE14}
   rm Makefile
   popd
}
%patch409 -p0 -b .savage-glitch					

# Remove this patch if glide3 gets separated back out
%patch410 -p1 -b .glide3-libdir

%patch411 -p1 -b .mga-hwcursor-fix



######################################################################
#####  CREATE host.def  ##############################################
#
# The file xc/config/cf/host.def is where all optional configurations
# to customize the build should go for XFree86.  We create it here so
# that we can benefit from conditional macro inclusion.

pwd
cat > xc/config/cf/host.def <<EOF

%if %{BuildDebugVersion}
#define XFree86Devel		YES
#define DoLoadableServer	NO
%endif

#define LinuxDistribution	LinuxRedHat
#define UseCCMakeDepend		YES
#define UseGccMakeDepend	YES

#define DefaultGcc2i386Opt	$RPM_OPT_FLAGS
#define DefaultGcc2AxpOpt	$RPM_OPT_FLAGS

#define ForceNormalLib		YES
#define JoystickSupport		NO
#define HasAgpGart		YES
#define HasPam			YES
#define HasPamMisc		YES
#define HasZlib			YES
#define XtermWithI18N		YES

%if %{BuildVoodoo}
#define HasGlide2		YES
#define Glide2IncDir		/usr/include/glide
%endif

%if %{BuildTdfx}
#define HasGlide3		YES
#define Glide3LibName		glide3
 %if %{BuildGlide3}
#define Glide3IncDir		$RPM_BUILD_ROOT/usr/include/glide3
 %else
#define Glide3IncDir		/usr/include/glide3
 %endif
%endif

#define BuildFonts		YES
#define BuildCyrillicFonts	YES
#define BuildPexExt		YES
#define BuildXF86MiscExt	YES
#define BuildHtmlManPages	NO
#define BuildXF86DRI		YES
#define BuildXF86DRM		NO
#define BuildXinerama		YES
#define BuildXF86DGA		YES
#define BuildFreetype2Library	NO

#define UseXserverWrapper	YES
#define UseUtempter		YES
#define UseInternalMalloc	NO
#define UseMatroxHal		NO

/* Define which libraries to build */
#define SharedLibXdmGreet	NO
#define SharedLibXxf86dga	YES
#define SharedLibXv		YES

#undef  DefaultUserPath
#define DefaultUserPath		/usr/local/bin:/bin:/usr/bin
#undef  DefaultSystemPath
#define DefaultSystemPath	/usr/local/sbin:/sbin:/usr/sbin:/bin:/usr/bin

#define AdmDir              /var/log
#define LbxproxyDir         /etc/X11/lbxproxy
#define ProxyManagerDir     /etc/X11/proxymngr
#define ServerConfigDir     /etc/X11/xserver
#define XdmDir              /etc/X11/xdm
#define XConfigDir          /etc/X11
#define XinitDir            /etc/X11/xinit
#define Freetype2Dir        /usr

%ifarch alpha
#define XF86CardDrivers mga nv tga s3virge sis rendition \
			neomagic i740 tdfx cirrus tseng trident chips apm \
			fbdev ati vga v4l glint
%endif
%ifarch ia64
#define XF86CardDrivers mga nv s3virge sis rendition i740 \
			tdfx v4l fbdev glint ati vga 
%endif

EOF

# Waiting to find out why this doesn't actually work
#define DriverManDir        $(MANSOURCEPATH)4
#define DriverManSuffix     4x /* use just one tab or cpp will die */
#define MiscManDir          $(MANSOURCEPATH)7
#define MiscManSuffix       7x /* use just one tab or cpp will die */




##########  BUILD  ##################################################

%build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
#####  GLIDE 3 BUILD  ################################################
%if %{BuildGlide3}
{
    pushd Glide3 ; aclocal ; automake ; autoconf

    mkdir build-5 ; cd build-5
    CFLAGS="$RPM_OPT_FLAGS" ../configure --enable-fx-debug=no \
        --enable-fx-glide-hw=h5 --enable-fx-dri-build --prefix=/usr
    make -f makefile.autoconf all
    cd ..

    mkdir build-3 ; cd build-3
    CFLAGS="$RPM_OPT_FLAGS" ../configure --enable-fx-debug=no \
        --enable-fx-glide-hw=h3 --enable-fx-dri-build --prefix=/usr
    make -f makefile.autoconf all
    cd ..

    gcc -o glidelink %{SOURCE13} $RPM_OPT_FLAGS \
        -DGLIDELIB=\"$RPM_BUILD_ROOT/usr/lib/libglide3.so.%{GlideLibver}\" \
        -lkudzu -lpci

    #####  GLIDE 3 INSTALL  #########################################
    # Moved here because XFree needs Glide installed to build tdfx
    #pushd Glide3
    mkdir -p $RPM_BUILD_ROOT/usr/sbin
    install -m 755 glidelink $RPM_BUILD_ROOT/usr/sbin/glidelink
    cd build-3
    make -f makefile.autoconf install DESTDIR=$RPM_BUILD_ROOT
    # Hack
    mkdir -p $RPM_BUILD_ROOT/usr/lib/glide3
    mv $RPM_BUILD_ROOT/usr/lib/libglide3.so.%{GlideLibver} \
        $RPM_BUILD_ROOT/usr/lib/glide3/libglide3-v3.so

    install -m 755 ../build-5/h5/glide3/src/.libs/libglide3.so.%{GlideLibver} \
        $RPM_BUILD_ROOT/usr/lib/glide3/libglide3-v5.so
    # Point to v3 by default
    ln -snf glide3/libglide3-v3.so \
        $RPM_BUILD_ROOT/usr/lib/libglide3.so.%{GlideLibver}        
    # ldconfig doesn't like this?
    ln -snf libglide3.so.%{GlideLibver} $RPM_BUILD_ROOT/usr/lib/libglide3.so
    #popd
	#####  END GLIDE 3 INSTALL  #####################################
    popd
}
%endif
#####  END GLIDE 3 BUILD  ############################################

# Remove unnecessary stuff... (Moved here so patches with CVS in them work)
find . -name CVS -type d |xargs rm -rf 

numprocs=$(egrep -c ^cpu[0-9]+ /proc/stat || :)
[ "$numprocs" = "0" ] && numprocs=1


%ifarch alpha
make World -C xc BOOTSTRAPCFLAGS="$RPM_OPT_FLAGS -Wa,-m21164a" \
     CDEBUGFLAGS="$RPM_OPT_FLAGS -Wa,-m21164a" \
	 PARALLELMFLAGS="-j$numprocs"

%else
make World -C xc BOOTSTRAPCFLAGS="$RPM_OPT_FLAGS" \
     CDEBUGFLAGS="$RPM_OPT_FLAGS" \
     PARALLELMFLAGS="-j$numprocs"
%endif

# *** FIXME *** See if the Imake system can do this stuff
# Generate docs
XSPECS=xc/doc/specs
HCP=xc/doc/hardcopy
rm $HCP/{BDF,CTEXT,FSProtocol,ICCCM,ICE,SM,XDMCP,XIM,XLFD}/*
groff -Tascii -ms xc/doc/misc/RELNOTES.ms > $HCP/RELNOTES.txt
groff -Tascii -ms $XSPECS/BDF/bdf.ms > $HCP/BDF/bdf.txt
groff -Tascii -ms $XSPECS/CTEXT/ctext.tbl.ms > $HCP/CTEXT/ctext.tbl.txt
groff -Tascii -ms $XSPECS/FSProtocol/protocol.ms > $HCP/FSProtocol/protocol.txt
groff -Tascii -ms $XSPECS/ICCCM/icccm.ms > $HCP/ICCCM/icccm.txt
groff -Tascii -ms $XSPECS/ICE/ICElib.ms > $HCP/ICE/ICElib.txt
groff -Tascii -ms $XSPECS/ICE/ice.ms > $HCP/ICE/ice.txt
cp $XSPECS/PM/PM_spec $HCP/ICE
groff -Tascii -ms $XSPECS/SM/SMlib.ms > $HCP/SM/SMlib.txt
groff -Tascii -ms $XSPECS/XDMCP/xdmcp.ms > $HCP/XDMCP/xdmcp.txt
groff -Tascii -ms $XSPECS/XIM/xim.ms > $HCP/XIM/xim.txt
groff -Tascii -ms $XSPECS/XLFD/xlfd.tbl.ms > $HCP/XLFD/xlfd.tbl.txt




##########  INSTALL  #################################################
%install

mkdir -p $RPM_BUILD_ROOT{/usr/{include,lib},/etc/{pam.d,security/console.apps}}
install -c -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/xserver
install -c -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/xdm
touch $RPM_BUILD_ROOT/etc/security/console.apps/xserver

make DESTDIR=$RPM_BUILD_ROOT install install.man -C xc

# Clean out Mesa stuff
{
   rm -f  $RPM_BUILD_ROOT/usr/include/GL
   find   $RPM_BUILD_ROOT/usr/lib -type f |grep -vi "glide"|xargs rm -f
   rm -rf $RPM_BUILD_ROOT/usr/X11R6/include/GL
   rm -f  $RPM_BUILD_ROOT/usr/X11R6/lib/libGL* \
          $RPM_BUILD_ROOT/usr/X11R6/lib/libOSM*
}

# we don't want the libz.a from XFree86 -- it's broken
# FIXME: check and see if it even exists anymore
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/libz.a

# point this to Xwrapper, not XFree86
ln -snf Xwrapper $RPM_BUILD_ROOT/usr/X11R6/bin/X

# Install sample XF86Config
cp xc/programs/Xserver/hw/xfree86/XF86Config $RPM_BUILD_ROOT/etc/X11/

# we now provide a backwards compatible link for color-xterm/nxterm
pushd $RPM_BUILD_ROOT/usr/X11R6/bin ; ln -f xterm nxterm ; popd

# Explicitly create X authdir
mkdir -m 700 -p $RPM_BUILD_ROOT/var/lib/xdm/authdir

# We install our own config file for the xfs package
mkdir -p $RPM_BUILD_ROOT/etc/X11/fs
install -c -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/X11/fs/config

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -c -m 755 %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/xfs

# we get xinit from a separate package
# pgb 06/28/00 - we define XinitDir, no need for this link.
#rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit
#ln -sf ../../../../etc/X11/xinit $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit

# Fix up symlinks
{
   mkdir -p $RPM_BUILD_ROOT/usr/{bin,man,include,lib}
   # This man symlink can probably safely go sometime soon 
   ln -sf ../X11R6/man $RPM_BUILD_ROOT/usr/man/X11
   ln -sf ../X11R6/include/X11 $RPM_BUILD_ROOT/usr/include/X11
   ln -sf ../X11R6/include/DPS $RPM_BUILD_ROOT/usr/include/DPS
   ln -snf ../../../../etc/X11/XF86Config \
      $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XF86Config
}

# Move xkb files to their old location (rpm can't replace a directory with
# a symlink for now)
{
   rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb
   mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb
   mv $RPM_BUILD_ROOT/etc/X11/xkb/* $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb
   rm -rf $RPM_BUILD_ROOT/etc/X11/xkb
   ln -sf ../../usr/X11R6/lib/X11/xkb $RPM_BUILD_ROOT/etc/X11
}

# strip the crap that's safe to strip
(
    set +x
    strip --strip-unneeded -R .comment $RPM_BUILD_ROOT/usr/X11R6/bin/* || :
    strip -R .comment $RPM_BUILD_ROOT/usr/X11R6/lib/*so* || :
)

# symlink shared libs
(
    pushd $RPM_BUILD_ROOT/usr/X11R6/lib
    for n in *.so.*; do
        ln -sf $n $(echo $n | sed 's#\.so.*#\.so#')
    done
    popd
)

(
    export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:$RPM_BUILD_ROOT/usr/X11R6/lib"
    pushd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
    bzcat %{SOURCE8} | tar -xf -

    # Xlat9-10x20.bdf is included in XFree-4.0.2 under a different 
    # name now allegedly so we don't include it here anymore.
    $RPM_BUILD_ROOT/usr/X11R6/bin/bdftopcf -t Xlat9-8x14.bdf \
        |gzip -9 > 8x14-ISO8859-15.pcf.gz
    $RPM_BUILD_ROOT/usr/X11R6/bin/bdftopcf -t Xlat9-9x16.bdf \
        |gzip -9 > 9x16-ISO8859-15.pcf.gz

    rm -f Xlat9-10x20.bdf Xlat9-8x14.bdf Xlat9-9x16.bdf
			    
    $RPM_BUILD_ROOT/usr/X11R6/bin/mkfontdir \
        $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
    popd
)

{
	DSTFONT=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/latin2
	mkdir -p $DSTFONT/Type1/{afm,pfm}
	touch $DSTFONT/Type1/fonts.{alias,dir,scale}
}

# Move XftConfig to proper location and hack truetype config path
{
	chmod 644 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XftConfig

	# Move config file to proper location and symlink it
	mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XftConfig $RPM_BUILD_ROOT/etc/X11/
	ln -sf ../../../../etc/X11/XftConfig \
	    $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XftConfig
		
	echo >> $RPM_BUILD_ROOT/etc/X11/XftConfig
	echo dir \"/usr/share/fonts/default/TrueType\" >> \
        $RPM_BUILD_ROOT/etc/X11/XftConfig
}


rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mv $RPM_BUILD_ROOT/etc/X11/app-defaults $RPM_BUILD_ROOT/usr/X11R6/lib/X11

# All other moved directories are wholly contained by the XFree86
# packages




######################################################################
########## SCRIPT SECTION ############################################
######################################################################


%triggerpostun -- XFree86
for dir in lbxproxy proxymngr rstart xserver ; do
   if [ -d /usr/X11R6/lib/X11/$dir ] ; then
      cp -af /usr/X11R6/lib/X11/$dir/* /etc/X11/$dir 2>/dev/null
      rm -rf /usr/X11R6/lib/X11/$dir
   fi

   # no need to keep this symlink around any longer - pgb 06/28/00
   # these are needed for 3.x servers - notting 07/24/00
   [ ! -L /usr/X11R6/lib/X11/$dir ] && \
      ln -snf ../../../../etc/X11/$dir /usr/X11R6/lib/X11/$dir
   :
done  

### Proposed bugfix for bug #26857 (hacked from 6.2 X packages 
%pre
# here, we put things that we have moved around (like directories)
# that need to be cleaned up prior to the RPM's installation.
# Ugly. Necessary.
if [ ! -L /usr/X11R6/lib/X11/xkb/compiled ]; then
   if [ -d /usr/X11R6/lib/X11/xkb/compiled ]; then
      mkdir -p /var/lib/xkb 2>/dev/null
      mv -f /usr/X11R6/lib/X11/xkb/compiled/* /var/lib/xkb 2>/dev/null || :
      rmdir /usr/X11R6/lib/X11/xkb/compiled 2> /dev/null
      ln -sf ../../../../../var/lib/xkb /usr/X11R6/lib/X11/xkb/compiled 2>/dev/null || :
   fi
fi
					
%post
for dir in lbxproxy proxymngr rstart xserver ; do
  [ ! -L /usr/X11R6/lib/X11/$dir -a ! -d /usr/X11R6/lib/X11/$dir ] &&
     ln -snf ../../../../etc/X11/$dir /usr/X11R6/lib/X11/$dir || :
done

%post libs
grep "^/usr/X11R6/lib$" /etc/ld.so.conf >/dev/null 2>&1
[ $? -ne 0 ] && echo "/usr/X11R6/lib" >> /etc/ld.so.conf
/sbin/ldconfig
%if %{BuildGlide3}
/usr/sbin/glidelink
%endif

%postun libs
if [ "$1" = "0" ]; then
  grep -v "/usr/X11R6/lib" /etc/ld.so.conf > /etc/ld.so.conf.new
  # preserve permissions
  cat /etc/ld.so.conf.new > /etc/ld.so.conf
  rm -f /etc/ld.so.conf.new
fi
/sbin/ldconfig

%verifyscript libs
echo -n "Looking for /usr/X11R6/lib in /etc/ld.so.conf... "
if ! grep "^/usr/X11R6/lib$" /etc/ld.so.conf > /dev/null; then
  echo "missing"
  echo "/usr/X11R6/lib missing from /etc/ld.so.conf" >&2
else
  echo "found"
fi

%pre xfs
/usr/sbin/useradd -c "X Font Server" -r \
        -s /bin/false -u 43 -d /etc/X11/fs xfs 2>/dev/null || :

%post xfs
/sbin/chkconfig --add xfs
use_unix=
for config in /etc/X11/XF86Config /etc/X11/XF86Config-4 ; do
  if [ -f $config ] && grep -q "unix/:" $config > /dev/null 2>&1; then
     use_unix=1
  fi
  if [ -f $config ] && grep -q "unix/:-1" $config > /dev/null 2>&1; then
    rm -f $config.new $config.rpmsave
    sed "s|unix/:-1|unix/:7100|g" $config > $config.new
    cp -f $config $config.rpmsave
    cat $config.new > $config
    rm -f $config.new
  fi
  if [ -f $config ] && grep -q "unix/:" $config >& /dev/null && \
    grep -q "/usr/X11R6/lib/X11/fonts/TrueType" $config >& /dev/null ; then \
	sed "s|FontPath[ ]*\"/usr/X11R6/lib/X11/fonts/TrueType\"|#FontPath \"/usr/X11R6/lib/X11/fonts/TrueType\"|g" $config > $config.new
    cat $config.new > $config
    rm -f $config.new
  fi
done

if [ -n "$use_unix" ] && ! grep -q "no-listen" /etc/X11/fs/config >& /dev/null ; then
  echo -e "# don't listen on tcp by default\nno-listen = tcp\n" >> /etc/X11/fs/config
fi


%preun xfs
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del xfs
 	/usr/sbin/userdel xfs 2>/dev/null || :
	/usr/sbin/groupdel xfs 2>/dev/null || :
	service xfs stop >/dev/null 2>&1
fi

%postun xfs
if [ "$1" -ge "1" ]; then
	service xfs condrestart >/dev/null 2>&1
fi


%post 100dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/100dpi

%post 75dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi

%post cyrillic-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/cyrillic

%post ISO8859-2-100dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/latin2/100dpi

%post ISO8859-2-75dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/latin2/75dpi

%post ISO8859-2-Type1-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/latin2/Type1

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/100dpi
fi

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/75dpi
fi

%postun cyrillic-fonts
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/cyrillic
fi

%postun ISO8859-2-100dpi-fonts
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/latin2/100dpi
fi

%postun ISO8859-2-75dpi-fonts
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/latin2/75dpi
fi

%postun ISO8859-2-Type1-fonts
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/latin2/Type1
fi
  

########## FILES SECTION #############################################

%files
%defattr(-,root,root)
%dir /etc/X11/lbxproxy
%config /etc/X11/lbxproxy/AtomControl
%dir /etc/X11/proxymngr
%config /etc/X11/proxymngr/pmconfig
%dir /etc/X11/rstart
%config /etc/X11/rstart/*
%dir /etc/X11/xinit
# %config /etc/X11/xinit/xinitrc We have a separate xinitrc package
%dir /etc/X11/xsm
%config /etc/X11/xsm/system.xsm
%dir /etc/X11/xserver
%config /etc/X11/xserver/*

%if %{BuildXft}
%config /etc/X11/XftConfig
%endif

%dir /usr/X11R6/lib/X11
%dir /usr/X11R6/lib/X11/fonts
%dir /usr/X11R6/lib/X11/fonts/CID
%dir /usr/X11R6/lib/X11/fonts/PEX
%dir /usr/X11R6/lib/X11/fonts/Speedo
%dir /usr/X11R6/lib/X11/fonts/Type1
%dir /usr/X11R6/lib/X11/fonts/encodings
%dir /usr/X11R6/lib/X11/fonts/local
%dir /usr/X11R6/lib/X11/fonts/misc
%dir /usr/X11R6/lib/X11/fonts/util

%dir /usr/X11R6/lib/modules
%ifnarch sparc sparc64
%ifos linux
%dir /usr/X11R6/lib/modules/linux
%endif
%endif

%dir /usr/X11R6/lib/modules/input
%dir /usr/X11R6/lib/modules/extensions
%dir /usr/X11R6/lib/X11/etc
%ghost /usr/X11R6/lib/X11/lbxproxy
%ghost /usr/X11R6/lib/X11/proxymngr
%ghost /usr/X11R6/lib/X11/rstart
%ghost /usr/X11R6/lib/X11/xserver
%dir /usr/X11R6/lib/X11/xkb
%dir /usr/X11R6/lib/X11/locale
%config /usr/X11R6/lib/X11/app-defaults/*
%dir /var/lib/xkb
%config /etc/pam.d/xserver
%config(missingok) /etc/security/console.apps/xserver
/var/lib/xkb/README
/usr/X11R6/bin/appres
/usr/X11R6/bin/atobm
/usr/X11R6/bin/bdftopcf
/usr/X11R6/bin/bitmap
/usr/X11R6/bin/bmtoa
/usr/X11R6/bin/dga
/usr/X11R6/bin/editres
/usr/X11R6/bin/iceauth
/usr/X11R6/bin/lbxproxy
/usr/X11R6/bin/lndir
/usr/X11R6/bin/makepsres
/usr/X11R6/bin/makestrs
/usr/X11R6/bin/mergelib
/usr/X11R6/bin/mkcfm
/usr/X11R6/bin/mkdirhier
/usr/X11R6/bin/proxymngr
/usr/X11R6/bin/resize
/usr/X11R6/bin/revpath
/usr/X11R6/bin/rstart
/usr/X11R6/bin/rstartd
/usr/X11R6/bin/sessreg
/usr/X11R6/bin/setxkbmap
/usr/X11R6/bin/showrgb
/usr/X11R6/bin/smproxy
/usr/X11R6/bin/startx
/usr/X11R6/bin/xauth
/usr/X11R6/bin/xcmsdb
/usr/X11R6/bin/xconsole
/usr/X11R6/bin/xcutsel
/usr/X11R6/bin/xdpyinfo
/usr/X11R6/bin/xf86config
/usr/X11R6/bin/xfindproxy
/usr/X11R6/bin/xfwp
/usr/X11R6/bin/xgamma
/usr/X11R6/bin/xhost
/usr/X11R6/bin/xinit
/usr/X11R6/bin/xkbbell
/usr/X11R6/bin/xkbcomp
/usr/X11R6/bin/xkbevd
/usr/X11R6/bin/xkbprint
/usr/X11R6/bin/xkbvleds
/usr/X11R6/bin/xkbwatch
/usr/X11R6/bin/xlsatoms
/usr/X11R6/bin/xlsclients
/usr/X11R6/bin/xlsfonts
/usr/X11R6/bin/xmodmap
/usr/X11R6/bin/xon
/usr/X11R6/bin/xprop
/usr/X11R6/bin/xrdb
/usr/X11R6/bin/xrefresh
/usr/X11R6/bin/xset
/usr/X11R6/bin/xsetmode
/usr/X11R6/bin/xsetpointer
/usr/X11R6/bin/xsetroot
/usr/X11R6/bin/xsm
/usr/X11R6/bin/xstdcmap
/usr/X11R6/bin/xterm
/usr/X11R6/bin/xvidtune
/usr/X11R6/bin/xwd
/usr/X11R6/bin/xwud

# DRI modules.
/usr/X11R6/lib/modules/dri

%ifnarch sparc
 %ifos linux
 /usr/X11R6/lib/modules/linux/*
 %endif

 %ifnarch ia64
 /usr/X11R6/lib/modules/*.uc
 %endif
%endif

/usr/X11R6/lib/modules/input/*
/usr/X11R6/lib/modules/extensions/*
/usr/X11R6/lib/modules/*.a

# This will be provided by Xconfigurator
#/usr/X11R6/lib/X11/Cards

/usr/X11R6/lib/X11/XF86Config
/usr/X11R6/lib/X11/XErrorDB
/usr/X11R6/lib/X11/XF86Config.98
/usr/X11R6/lib/X11/XF86Config.eg
/usr/X11R6/lib/X11/XKeysymDB
/usr/X11R6/lib/X11/XftConfig
/usr/X11R6/lib/X11/rgb.txt
/usr/X11R6/lib/X11/fonts/CID/*
/usr/X11R6/lib/X11/fonts/PEX/*
/usr/X11R6/lib/X11/fonts/Speedo/*
/usr/X11R6/lib/X11/fonts/Type1/*
/usr/X11R6/lib/X11/fonts/encodings/*
/usr/X11R6/lib/X11/fonts/local/*
/usr/X11R6/lib/X11/fonts/misc/*
/usr/X11R6/lib/X11/fonts/util/*
%dir /usr/X11R6/lib/X11/app-defaults
/usr/X11R6/lib/X11/etc/*
/usr/X11R6/lib/X11/xinit
/usr/X11R6/lib/X11/xkb/*
/etc/X11/xkb
/usr/X11R6/lib/X11/locale/*
/usr/X11R6/lib/X11/x11perfcomp/*
/usr/X11R6/lib/X11/xsm
/usr/X11R6/bin/SuperProbe
/usr/X11R6/bin/X
%attr(711,root,root) /usr/X11R6/bin/XFree86
%attr(4711,root,root) /usr/X11R6/bin/Xwrapper
/usr/X11R6/bin/Xmark
/usr/X11R6/bin/Xprt
/usr/X11R6/bin/pcitweak
/usr/X11R6/bin/scanpci
/usr/X11R6/man/man4/*
/usr/X11R6/man/man5/*
/usr/X11R6/man/man7/*
/usr/X11R6/man/man1/SuperProbe.1*
/usr/X11R6/man/man1/XFree86.1*
/usr/X11R6/man/man1/Xserver.1*
/usr/X11R6/man/man1/Xmark.1*
/usr/X11R6/man/man1/appres.1*
/usr/X11R6/man/man1/atobm.1*
/usr/X11R6/man/man1/bdftopcf.1*
/usr/X11R6/man/man1/bitmap.1*
/usr/X11R6/man/man1/bmtoa.1*
/usr/X11R6/man/man1/cxpm.1*
/usr/X11R6/man/man1/dga.1*
/usr/X11R6/man/man1/editres.1*
/usr/X11R6/man/man1/iceauth.1*
/usr/X11R6/man/man1/lbxproxy.1*
%ifarch %{ix86} 
/usr/X11R6/man/man1/libxrx.1*
%endif
/usr/X11R6/man/man1/lndir.1*
/usr/X11R6/man/man1/makedepend.1*
/usr/X11R6/man/man1/makepsres.1*
/usr/X11R6/man/man1/makestrs.1*
/usr/X11R6/man/man1/mkcfm.1*
/usr/X11R6/man/man1/mkdirhier.1*
/usr/X11R6/man/man1/oclock.1*
/usr/X11R6/man/man1/pcitweak.1*
/usr/X11R6/man/man1/proxymngr.1*
/usr/X11R6/man/man1/resize.1*
/usr/X11R6/man/man1/revpath.1*
/usr/X11R6/man/man1/rstart.1*
/usr/X11R6/man/man1/rstartd.1*
/usr/X11R6/man/man1/scanpci.1*
/usr/X11R6/man/man1/sessreg.1*
/usr/X11R6/man/man1/setxkbmap.1*
/usr/X11R6/man/man1/showrgb.1*
/usr/X11R6/man/man1/smproxy.1*
/usr/X11R6/man/man1/startx.1*
/usr/X11R6/man/man1/sxpm.1*
/usr/X11R6/man/man1/twm.1*
/usr/X11R6/man/man1/xauth.1*
/usr/X11R6/man/man1/xcmsdb.1*
/usr/X11R6/man/man1/xconsole.1*
/usr/X11R6/man/man1/xcutsel.1*
/usr/X11R6/man/man1/xdpyinfo.1*
/usr/X11R6/man/man1/xf86config.1*
/usr/X11R6/man/man1/xfindproxy.1*
/usr/X11R6/man/man1/xfwp.1*
/usr/X11R6/man/man1/xgamma.1*
/usr/X11R6/man/man1/xhost.1*
/usr/X11R6/man/man1/xinit.1*
/usr/X11R6/man/man1/xkbcomp.1*
/usr/X11R6/man/man1/xkbevd.1*
/usr/X11R6/man/man1/xkbprint.1*
/usr/X11R6/man/man1/xkill.1*
/usr/X11R6/man/man1/xlogo.1*
/usr/X11R6/man/man1/xlsatoms.1*
/usr/X11R6/man/man1/xlsclients.1*
/usr/X11R6/man/man1/xlsfonts.1*
/usr/X11R6/man/man1/xmkmf.1*
/usr/X11R6/man/man1/xmodmap.1*
/usr/X11R6/man/man1/xon.1*
/usr/X11R6/man/man1/xprop.1*
/usr/X11R6/man/man1/xrdb.1*
/usr/X11R6/man/man1/xrefresh.1*
/usr/X11R6/man/man1/xset.1*
/usr/X11R6/man/man1/xsetmode.1*
/usr/X11R6/man/man1/xsetpointer.1*
/usr/X11R6/man/man1/xsetroot.1*
/usr/X11R6/man/man1/xsm.1*
/usr/X11R6/man/man1/xstdcmap.1*
/usr/X11R6/man/man1/xterm.1*
/usr/X11R6/man/man1/xvidtune.1*
/usr/X11R6/man/man1/xwd.1*
/usr/X11R6/man/man1/xwud.1*
# Drivers
/usr/X11R6/lib/modules/drivers/*

%files tools
%defattr(-,root,root)
/usr/X11R6/bin/bdftruncate.pl
/usr/X11R6/bin/beforelight
/usr/X11R6/bin/glxinfo
/usr/X11R6/bin/ico
/usr/X11R6/bin/listres
/usr/X11R6/bin/mkhtmlindex
/usr/X11R6/bin/nxterm
/usr/X11R6/bin/showfont
/usr/X11R6/bin/ucs2any.pl
/usr/X11R6/bin/viewres
/usr/X11R6/bin/x11perf
/usr/X11R6/bin/x11perfcomp
/usr/X11R6/bin/xbiff
/usr/X11R6/bin/xcalc
/usr/X11R6/bin/xclipboard
/usr/X11R6/bin/xclock
/usr/X11R6/bin/xditview
/usr/X11R6/bin/xedit
/usr/X11R6/bin/xev
/usr/X11R6/bin/xeyes
/usr/X11R6/bin/xfd
/usr/X11R6/bin/xfontsel
/usr/X11R6/bin/xgc
/usr/X11R6/bin/xieperf
# no need to be SUID
%attr(755,root,root) /usr/X11R6/bin/xload
/usr/X11R6/bin/xmag
/usr/X11R6/bin/xman
/usr/X11R6/bin/xmessage
/usr/X11R6/bin/xvinfo
/usr/X11R6/bin/xwininfo
/usr/X11R6/lib/X11/xman.help
/usr/X11R6/bin/oclock
/usr/X11R6/bin/xlogo
/usr/X11R6/bin/xkill
/usr/X11R6/man/man1/beforelight.1*
/usr/X11R6/man/man1/glxinfo.1*
/usr/X11R6/man/man1/ico.1*
/usr/X11R6/man/man1/listres.1*
/usr/X11R6/man/man1/showfont.1*
/usr/X11R6/man/man1/viewres.1*
/usr/X11R6/man/man1/x11perf.1*
/usr/X11R6/man/man1/x11perfcomp.1*
/usr/X11R6/man/man1/xbiff.1*
/usr/X11R6/man/man1/xcalc.1*
/usr/X11R6/man/man1/xclipboard.1*
/usr/X11R6/man/man1/xclock.1*
/usr/X11R6/man/man1/xditview.1*
/usr/X11R6/man/man1/xedit.1*
/usr/X11R6/man/man1/xev.1*
/usr/X11R6/man/man1/xeyes.1*
/usr/X11R6/man/man1/xfd.1*
/usr/X11R6/man/man1/xfontsel.1*
/usr/X11R6/man/man1/xgc.1*
/usr/X11R6/man/man1/xieperf.1*
/usr/X11R6/man/man1/xload.1*
/usr/X11R6/man/man1/xmag.1*
/usr/X11R6/man/man1/xman.1*
/usr/X11R6/man/man1/xmessage.1*
/usr/X11R6/man/man1/xvinfo.1*
/usr/X11R6/man/man1/xwininfo.1*

%files xfs
%defattr(-,root,root)
%dir /etc/X11/fs
%dir /usr/X11R6/lib/modules/codeconv
%dir /usr/X11R6/lib/modules/fonts
%config(noreplace) /etc/X11/fs/config
%config /etc/rc.d/init.d/xfs
/usr/X11R6/bin/*fsinfo
/usr/X11R6/bin/fslsfonts
/usr/X11R6/bin/fstobdf
/usr/X11R6/bin/mkfontdir
/usr/X11R6/bin/xfs
/usr/X11R6/lib/modules/codeconv/*
/usr/X11R6/lib/modules/fonts/*
/usr/X11R6/lib/X11/fs

/usr/X11R6/man/man1/xfs.1*
/usr/X11R6/man/man1/mkfontdir.1*
/usr/X11R6/man/man1/*fsinfo.1*
/usr/X11R6/man/man1/fslsfonts.1*
/usr/X11R6/man/man1/fstobdf.1*

%files twm
%defattr(-,root,root)
%dir /etc/X11/twm
%config /etc/X11/twm/system.twmrc
/usr/X11R6/bin/twm
/usr/X11R6/lib/X11/twm

%files xdm
%defattr(-,root,root)
%dir /etc/X11/xdm
%dir /etc/X11/xdm/pixmaps
%config /etc/X11/xdm/Xservers
%dir %attr(0700,root,root) /etc/X11/xdm/authdir
%config /etc/X11/xdm/Xresources
%config /etc/X11/xdm/Xwilling
%config /etc/X11/xdm/chooser
%dir /var/lib/xdm
%config /etc/pam.d/xdm
/usr/X11R6/man/man1/xdm.1*
/etc/X11/xdm/pixmaps/*
/usr/X11R6/bin/xdm
/usr/X11R6/lib/X11/xdm

%files devel
%defattr(-,root,root)
%dir /usr/X11R6/include/DPS
%dir /usr/X11R6/include/X11
%dir /usr/X11R6/include/X11/ICE
%dir /usr/X11R6/include/X11/PEX5
%dir /usr/X11R6/include/X11/PM
%dir /usr/X11R6/include/X11/SM
%dir /usr/X11R6/include/X11/Xaw
%dir /usr/X11R6/include/X11/Xft
%dir /usr/X11R6/include/X11/Xmu
%dir /usr/X11R6/include/X11/bitmaps
%dir /usr/X11R6/include/X11/pixmaps
%dir /usr/X11R6/include/X11/extensions
%dir /usr/X11R6/include/X11/fonts
%dir /usr/X11R6/include/X11/fonts/codeconv
%dir /usr/X11R6/lib/X11/config
/usr/X11R6/bin/cxpm
/usr/X11R6/bin/sxpm
/usr/X11R6/bin/makeg
/usr/X11R6/bin/pswrap
/usr/X11R6/include/*.h
/usr/X11R6/include/DPS/*.h
/usr/X11R6/include/X11/*.h
/usr/X11R6/include/X11/ICE/*.h
/usr/X11R6/include/X11/PEX5/*.h
/usr/X11R6/include/X11/PM/*.h
/usr/X11R6/include/X11/SM/*.h
/usr/X11R6/include/X11/Xaw/*
/usr/X11R6/include/X11/Xft/*
/usr/X11R6/include/X11/Xmu/*.h
/usr/X11R6/include/X11/bitmaps/*
/usr/X11R6/include/X11/pixmaps/*
/usr/X11R6/include/X11/extensions/*.h
/usr/X11R6/include/X11/fonts/*.h
/usr/X11R6/include/X11/fonts/codeconv/*.h
/usr/X11R6/bin/gccmakedep
/usr/X11R6/bin/imake
/usr/X11R6/bin/makedepend
/usr/X11R6/bin/xmkmf
/usr/X11R6/bin/rman
/usr/X11R6/lib/*.so
/usr/X11R6/lib/*.a
/usr/X11R6/lib/X11/config/*
/usr/include/X11
/usr/include/DPS
/usr/X11R6/man/man1/imake.1*
/usr/X11R6/man/man1/makeg.1*
/usr/X11R6/man/man1/pswrap.1*
/usr/X11R6/man/man1/rman.1*
/usr/X11R6/man/man3/*
%if %{BuildGlide3}
/usr/include/glide3/*
%endif

%files libs
%defattr(-,root,root)
/usr/X11R6/lib/libICE.so.6
/usr/X11R6/lib/libICE.so.6.3
/usr/X11R6/lib/libPEX5.so.6
/usr/X11R6/lib/libPEX5.so.6.0
/usr/X11R6/lib/libSM.so.6
/usr/X11R6/lib/libSM.so.6.0
/usr/X11R6/lib/libX11.so.6
/usr/X11R6/lib/libX11.so.6.2
/usr/X11R6/lib/libXIE.so.6
/usr/X11R6/lib/libXIE.so.6.0
/usr/X11R6/lib/libXaw.so.6
/usr/X11R6/lib/libXaw.so.6.1
/usr/X11R6/lib/libXaw.so.7
/usr/X11R6/lib/libXaw.so.7.0
/usr/X11R6/lib/libXext.so.6
/usr/X11R6/lib/libXext.so.6.4
/usr/X11R6/lib/libXfont.so.1
/usr/X11R6/lib/libXfont.so.1.3
/usr/X11R6/lib/libXft.so.1
/usr/X11R6/lib/libXft.so.1.0
/usr/X11R6/lib/libXi.so.6
/usr/X11R6/lib/libXi.so.6.0
/usr/X11R6/lib/libXmu.so.6
/usr/X11R6/lib/libXmu.so.6.2
/usr/X11R6/lib/libXp.so.6
/usr/X11R6/lib/libXp.so.6.2
/usr/X11R6/lib/libXpm.so.4
/usr/X11R6/lib/libXpm.so.4.11
/usr/X11R6/lib/libXrender.so.1
/usr/X11R6/lib/libXrender.so.1.0
/usr/X11R6/lib/libXt.so.6
/usr/X11R6/lib/libXt.so.6.0
/usr/X11R6/lib/libXtst.so.6
/usr/X11R6/lib/libXtst.so.6.1
# libXv.so, libXxf86dga.so added for bugzilla RFE #28196
/usr/X11R6/lib/libXv.so.1
/usr/X11R6/lib/libXv.so.1.0
/usr/X11R6/lib/libXxf86dga.so.1
/usr/X11R6/lib/libXxf86dga.so.1.0
/usr/X11R6/lib/libdps.so.1
/usr/X11R6/lib/libdps.so.1.0
/usr/X11R6/lib/libdpstk.so.1
/usr/X11R6/lib/libdpstk.so.1.0
/usr/X11R6/lib/libpsres.so.1
/usr/X11R6/lib/libpsres.so.1.0
%ifarch %{ix86}
 /usr/X11R6/lib/libxrx.so.6
 /usr/X11R6/lib/libxrx.so.6.3
%endif

#### Glide 3 ###
%if %{BuildGlide3}
 /usr/lib/glide3
 /usr/lib/libglide3.so
 /usr/lib/libglide3.so.3
 /usr/lib/libglide3.so.%{GlideLibver}
 /usr/sbin/glidelink
%endif

%files 100dpi-fonts
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts/100dpi
/usr/X11R6/lib/X11/fonts/100dpi/*gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/100dpi/fonts.*

%files 75dpi-fonts
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts/75dpi
/usr/X11R6/lib/X11/fonts/75dpi/*gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/75dpi/fonts.*

%files cyrillic-fonts
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts/cyrillic
/usr/X11R6/lib/X11/fonts/cyrillic/*gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/cyrillic/fonts.*

%files ISO8859-2-100dpi-fonts
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts/latin2/100dpi
/usr/X11R6/lib/X11/fonts/latin2/100dpi/*gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/latin2/100dpi/fonts.*

%files ISO8859-2-75dpi-fonts
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts/latin2/75dpi
/usr/X11R6/lib/X11/fonts/latin2/75dpi/*gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/latin2/75dpi/fonts.*

%files ISO8859-2-Type1-fonts
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts/latin2/Type1
%config(noreplace) /usr/X11R6/lib/X11/fonts/latin2/Type1/fonts.*

%files doc
%defattr(-,root,root)
%docdir /usr/X11R6/lib/X11/doc
/usr/X11R6/lib/X11/doc/*
%doc xc/doc/hardcopy/*

%files Xnest
%defattr(-,root,root)
/usr/X11R6/bin/Xnest
/usr/X11R6/man/man1/Xnest.1*

%files Xvfb
%defattr(-,root,root)
/usr/X11R6/bin/Xvfb
/usr/X11R6/man/man1/Xvfb.1*

%ifnarch ia64
%files xf86cfg
%defattr(-,root,root)
/usr/X11R6/bin/xf86cfg
/usr/X11R6/man/man1/xf86cfg.1*
%endif

%ifnarch sparc
%ifos linux

%files V4L
%defattr(-,root,root)
%dir /usr/X11R6/lib/modules/drivers/linux
/usr/X11R6/lib/modules/drivers/linux/*
%endif
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 


########## CHANGELOG SECTION #########################################

%changelog
* Thu Mar 29 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-5
- XFree86 4.0.3 defaults to building libfreetype if Xft is being built,
  so freetype is now disabled with Imake defines.
- Removed shared libsXxf86dga and libXv hack I added on Mar 9 and 
  did it properly with Imake defines.  Also fixes (#31232)

* Wed Mar 28 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-4
- Added patch XFree86-4.0.3-glide3-libdir.patch so tdfx driver 
  can find the Glide3 libs included with X package.
- Minor xfs.init fix
- Added XFree86-4.0.3-mga-hwcursor-fix.patch

* Tue Mar 27 2001 Mike A. Harris <mharris@redhat.com>
- Updated Savage driver dropin to version 1.15, fixes xdm/kdm crashes,
  added XFree86-4.0.3-savage-glitch.patch

* Mon Mar 26 2001 Mike A. Harris <mharris@redhat.com>
- Various Xaw fixes from <jik@kamens.brookline.ma.us> including:
  (#31618 - XFree86-4.0.3-xaw-freed-mem-deref.patch),
  (#33152 - XFree86-4.0.3-xaw-readtext.patch),
  (#31540 - XFree86-4.0.3-xaw-flashing-paren.patch)

* Sun Mar 25 2001 Mike A. Harris <mharris@redhat.com>
- Added XFree86-4.0.3-pagesize-fixup.patch to fix bad page size assumptions
  in DRI code.  Based on head branch patch received from notting@redhat.com
  Applied only to non x86 platforms.
  
* Fri Mar 23 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-3
- Drumroll...... Final (or is it?) working G450 dualhead update.  ;o)

* Thu Mar 22 2001 Mike A. Harris <mharris@redhat.com>
- Added pam patch for xdm from Nalin <nalin@redhat.com> Patch404

* Wed Mar 21 2001 Mike A. Harris <mharris@redhat.com>
- Fixed uninitialized memory reference in xlib (Patch401)  (#32222)
- Make libs subpackage depend on kudzu-devel, pciutils-devel for 
  Glide3 (#32534)
- Matrox G450 updates

* Mon Mar 19 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-2
- Fixed glitch in %%post xfs section of spec (#32281)
- Set "umask 133" in xfs initscript so that fonts.dir/fonts.alias files 
  created during script execution work also for non-root users that may
  have changed root's umask.
- Updated Mesa dependancy in specfile to 3.4-13

* Sun Mar 18 2001 Mike A. Harris <mharris@redhat.com>
- Removed XFree86-4.0.1-xterm-appdefaults.patch as it was redundant

* Sat Mar 17 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-1
- New XFree86 4.0.3 released and integrated.
- Updated patches for 4.0.3, removed unneeded patches.
- Built 4.0.3-1

* Fri Mar 16 2001 Mike A. Harris <mharris@redhat.com>
- Reverted G450 driver back to dwmw2's driver.
- Built 4.0.2a-2

* Thu Mar 15 2001 Mike A. Harris <mharris@redhat.com> 4.0.2a-1
- Added XFree86-4.0.2-locale.patch from Phil Knirsch <pknirsch@redhat.com>
  which should fix all problems with euro locales, and other locale issues
  including bug id's (26300,21882,28447, others)
- xfs crash errors should all be fixed now by the XFree86 stable branch
  patch.  Bugzilla (#22538)

* Wed Mar 14 2001 Mike A. Harris <mharris@redhat.com> 4.0.2a-1
- New patch XFree86-4.0.2a-mga-g450-dual_6.patch - G450 driver update 
  from Luugi Marsan <lmarsan@matrox.com>
- Added new euro locale stuff from Phil Knirsch <pknirsch@redhat.com>
- Added XFree86-4.0.2-r128-drm-do-wait-for-fifo.patch from Gareth Hughes
  which should fix the r128 errors in (#26999)
  
* Tue Mar 13 2001 Mike A. Harris <mharris@redhat.com>
- Added provides entries for Glide3 in libs and devel subpackages
- Take 2 of XFree86-4.0.2a-im-being-included-and-i-cant-get-up2.patch
- Moved XftConfig file to /etc/X11 and made compatibility symlink.

* Fri Mar  9 2001 Mike A. Harris <mharris@redhat.com>
- Updated main tarball to 4.0.2a (even though it's the same code we had before
  with 4.0.2 + stable branch patch).
- Updated stable branch patch to bring 4.0.2a up to date with xf-4_0_2a-branch
- Nvidia nv driver updated with MANY fixes from XFree86 stable branch
- Added shared libraries: libXv.so, libXxf86dga.so
- Re-enabled Sparc build.  That machine is slow, someone
  needs to put a spark under it to get it going.  ;o)
- Fixed (#13882) with XFree86-4.0.2-winkey-alt-meta.patch
- Fixed (#19308) added X11R6-contrib obsolesence

* Fri Mar  9 2001 Bill Nottingham <notting@redhat.com> 4.0.2-12.1
- fix glide dependencies

* Thu Mar  8 2001 Mike A. Harris <mharris@redhat.com> 4.0.2-12
- Fixed alpha/ia64 build problems
- Built 4.0.2-12

* Tue Mar  6 2001 Mike A. Harris <mharris@redhat.com>
- Created XFree86-4.0.2-r128-mobility.patch to enable external display
  on Rage Mobility laptops, etc.
- Added XFree86-4.0.2-xft-match.patch (from Bero) (#30836)
  
* Mon Mar  5 2001 Mike A. Harris <mharris@redhat.com>
- Added XFree86-4.0.2-alpha-pci-resource.patch (#30417)

* Sat Mar  3 2001 Mike A. Harris <mharris@redhat.com>
- Glide3 is back (was previously removed on Feb 22)
- Removed loaderProcs.h hack, and replaced with a patch.
- Tidied up a tonne of XFree build warnings
- Added XFree86-4.0.2-im-being-included-and-i-cant-get-up.patch stop
  loaderProcs.h from being wrongly included in building Xnest due to
  a compiler bug.

* Fri Mar  2 2001 Mike A. Harris <mharris@redhat.com>
- Added mga and r128 busmaster patches that Todd Nix <todd@xymox.us.dell.com>
  sent me from Kevin E Martin <martin@valinux.com>.

* Wed Feb 28 2001 Mike A. Harris <mharris@redhat.com> 
- Updated xf-4_0_2-branch patch to today's latest stable code
- Removed unneeded patches after update: XFree86-4.0.2-time.patch,
  XFree86-4.0.2-sis-unresolved-memcpy.patch    
- Added XFree86-4.0.2-agpgart-load.patch from Bill Nottingham to force
  load AGPgart kernel module when a DRI module is loaded.
- Fixed "chmod" in xfs.init (#18573)
- Added BuildPreReq ncurses-devel
- Repaired ia64 int10 patch
- Tidied up specfile, particularly the host.def generation section, and 
  incorporated xfree86.def mess into host.def section where it belongs.

* Tue Feb 27 2001 Mike A. Harris <mharris@redhat.com> 4.0.2-11
- Added updated driver for Savage chipset.  Should fix all known issues
  with Savage cards that I'm aware of.
- Removed Prereq of chkfontpath on xfs subpackage and modified xfs initscript
  to only call chkfontpath if it is installed.
  
* Mon Feb 26 2001 Mike A. Harris <mharris@redhat.com> 4.0.2-10
- Added specfile %%pre fix for (#26857) - problem upgrading to
  Wolverine from Red Hat 5.2 due to directory/symlink fu glitch.
- Enabled Utempter for xterm with "UseUtempter" in specfile
- Added neomagic softcursor patch for (Helge Deller <hdeller@redhat.de>)
- Built 4.0.2-10
- Created patch XFree86-4.0.2-sis-unresolved-memcpy.patch to fix
  bugs (#19530,24670)

* Fri Feb 23 2001 Mike A. Harris <mharris@redhat.com>
- Added spec hack to fix bad include of loaderProcs.h in miinitext.c
  I believe this fixes some of the r128 DRI problems.  I can't get
  r128 DRI to crash anymore now anyways.  It isn't mind blowingly 
  fast though.  May have fixed other problems as well.  X seems much
  smoother now, and VT switching is much faster also.

* Thu Feb 22 2001 Mike A. Harris <mharris@redhat.com>
- Added ExcludeArch tag to quell failed sparc builds (unsupported)
- Re-enabled DRI for mga/r128, but they still do not work

* Sat Feb 17 2001 Mike A. Harris <mharris@redhat.com>
- Updated fix for xfs death bug with truetype fonts.
- Added chkfontpath require to xfs subpackage (#19603)
- Added XFree86-4.0.2-banshee-ramtiming.patch to fix (#26351,#18810)
- Added ia64-int10 patch. (Bill Nottingham)

* Thu Feb 15 2001 Mike A. Harris <mharris@redhat.com>
- Fixed xfs.config

* Tue Feb 13 2001 Mike A. Harris <mharris@redhat.com>
- Disabled DRI drivers r128 and mga because they are broken.
- Built XFree-4.0.2-8
- Fixed bad noarch thing
- Built XFree-4.0.2-9

* Mon Feb 12 2001 Mike A. Harris <mharris@redhat.com>
- Merged in separate XFree86-ISO8859-2 font package

* Sun Feb 11 2001 Mike A. Harris <mharris@redhat.com>
- Added 1400x1050 modeline patch for newer laptops
- Misc fixups
- Disabled DRM kernel module building as we don't use these modules
  anyway.
- Updated 4.0.2-branch patch
- Updated XFree86-4.0.2-xfree86.lst.patch

* Thu Feb 08 2001 Mike A. Harris <mharris@redhat.com>
- Internationalized xfs and xdm initscripts

* Wed Feb 07 2001 Mike A. Harris <mharris@redhat.com>
- New fix for Cirrus 5480 (H.J. Lu)
- Matrox g450 patch that _hopefully_ works this time (from dwmw2)

* Tue Feb 06 2001 Mike A. Harris <mharris@redhat.com>
- (#25890,#26131) tdfx dri driver not included.. specfile mixup, fixed.
- (#23896) Added option for building with Glide2 (default=off).  Dunno if
  it works or not as I'm not testing it.  If someone wants to further the
  enhancement at all, I'll accept specfile patches to add any missing bits. ;o)
- (#25131) Fixed xfs.config file glitch (Truetypex typos), and a similar
  bug in specfile hack.
- Updated to recent XFree86 stable bug fixes (Patch #1)
- Fix temp files vulnerabilites in xman on systems with mkstemp()
- Fix temp vulnerabilities in Xaw/MultiSrc.c
- Fix temp file vulnerability in gccmakedep based on report from Alan Cox.
- Fix temp file vulnerability in Imake.rules
- Fix temp file vulnerability in InstallManPageAliases
- Fix Neomagic 2200 screen corruption
- Add an imake control for determining when xload should be installed set-gid

* Thu Jan 25 2001 Mike A. Harris <mharris@redhat.com>
- Added g450 patch from Matrox.  Lets see some dualhead action baby!
- Filtered out M$ Windows CR's from the Matrox patch, hope I got them
  all.  Windows bad, Linux good.  ;o)
- Removed all prior g450 patches as the new one repaces them all
- Many spec file simplifications, and general tidy up job.

* Wed Jan 24 2001 Bill Nottingham <notting@redhat.com>
- fix perms on xload

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- chmod 644 XftConfig before piping to it

* Wed Jan 24 2001 Mike A. Harris <mharris@redhat.com>
- Disable Cirrus 5480 patch as it wont apply cleanly to 4.0.2.
- Removed v4l patch - its in 4.0.2 already
- (#23701) devel dependant on libs instead of main package.
- Added TrueType font dirs to config files for the ttfonts package
- Numerous other tweaks
- XFree86-4.0.2-4 built

* Tue Jan 23 2001 Mike A. Harris <mharris@redhat.com>
- Fixed xfs initscript to only start at boot time if X is installed.
- Put eurofonts package back and fixed it up with suggestions from
  H. J. Lu - as 2 font files are still needed.
- Changed xload %%install time chmod to %%attr instead
- Tidied up %%install section, removing redundancies.
- Added Cirrus Logic 5480 patch from from Egbert Eich (#24177)

* Mon Jan 22 2001 Mike A. Harris <mharris@redhat.com>
- Removed manpage "hack" section from specfile
- Removed eurofont tarball entirely.  It's included in X already under
  different names now.
- Removed mga, ATI, mesa patches from yesterday as they fail the
  build requiring many other missing items.
  
* Sun Jan 21 2001 Mike A. Harris <mharris@redhat.com>
- Added ATI driver patch from XFree CVS - lots of new fixes
- Added mga driver patch from XFree CVS (mainly for G450)
- Added mesa patch from XFree CVS
- Added BuildPrereq: pam-devel  (Bill Crawford <billc@netcomuk.co.uk>)
- Commented out BuildPrereq: pam-devel as it failed me
- Remove eurofont .bdf files after pcf's are created to quell duplicate
  font errors.

* Sat Jan 20 2001 Mike A. Harris <mharris@redhat.com>
- Added Xft update from XFree CVS
- Updated %%clean section
- Changed specfile bunzip references to bzcat
- Fixed all specfile references of "tar x" to "tar xf -"
- Added romanian-keyboard-fix from Cristian Gafton <gafton@redhat.com>

* Thu Jan 18 2001 Mike A. Harris <mharris@redhat.com>
- ATI r128 update from ATI.

* Wed Jan 17 2001 Mike A. Harris <mharris@redhat.com>
- Disabled tdfx builds as they die with missing glide3 libs
  (at least in RHL 7.0 it does)

* Tue Jan 16 2001 Mike A. Harris <mharris@redhat.com>
- Added BuildPrereq: flex >= 2.5.4a
- Added BuildPrereq: freetype-devel >= 2.0.1
- Added BuildPrereq: Glide3-devel >= 20001220 for tdfx

* Mon Jan 15 2001 Mike A. Harris <mharris@redhat.com>
- Updated fhs patch for 4.0.2
- Updated portuguese patch for 4.0.2

* Thu Jan 11 2001 Mike A. Harris <mharris@redhat.com>
- Integrated Matrox G450 driver for testing from Matrox

* Mon Jan 8 2001 Mike A. Harris <mharris@redhat.com>
- Added xfree86.lst patches from Brent Fox and also (#5977)
 
* Sat Jan 6 2001 Mike A. Harris <mharris@redhat.com>
- Misc spec file fixups

* Fri Jan 5 2001 Mike A. Harris <mharris@redhat.com>
- Integrated ATI driver from Michael Smith <msmith@ati.com>

* Wed Jan 3 2001 Mike A. Harris <mharris@redhat.com>
- Built 4.0.2 release 1

* Thu Dec 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add a couple of missing man pages, noted by Thayne Harbaugh <thayne@plug.org>
- Use system freetype, now that we've updated
- Add missing XftConfig file

* Thu Dec 28 2000 Bill Nottingham <notting@redhat.com>
- don't list the driver modules explicitly; ship them all

* Thu Dec 21 2000 Bill Nottingham <notting@redhat.com>
- integrate tdfx_dri into main XFree86 package

* Tue Dec 19 2000 Bill Nottingham <notting@redhat.com>
- fix typos in xkb symlink/dir munging

* Tue Dec 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing Xft (Xrender) includes in -devel
- Move xkb files back to their old locations, we can't replace directories
  with symlinks
- Add /etc/X11/xkb -> /usr/X11R6/lib/X11/xkb symlink for compatibility
- 4.0.2
- Get rid of twfix patch (it's in 4.0.2)
- Patch 302 must be applied with -p0, not -p1
- Add a %%clean section
- Get rid of /etc/X11/xdm/xdm-config in XFree86-xdm. Since kdm uses it, as well,
  it should be in xinitrc

* Thu Dec 14 2000 Mike A. Harris <mharris@redhat.com>
- Added XFree86-4.0.1-twfix.patch from bhuang@redhat.com to fix
  zh_TW locale.
- Added locale.alias patch from Jakub Jelinek.
- Removed unneeded patches, and tidied spec file a bit (yeah right). ;o)

* Wed Dec 13 2000 Bill Nottingham <notting@redhat.com>
- tweak the -pic patch so it works with the ELF loader (in theory)
- don't try and build the kernel modules

* Sun Dec 10 2000 Bill Nottingham <notting@redhat.com>
- reapply the parallelmake patch
- hm, libX11 and libXmu are now .6.2

* Sat Dec 9 2000 Mike A. Harris <mharris@redhat.com>
- Updated to CVS version xf-4.0.1Z

* Sat Dec  9 2000 Bill Nottingham <notting@redhat.com>
- add back in some patches (FHS, Xwrapper)
- make it build on ia64 (hopefully)

* Fri Dec 8 2000 Mike A. Harris <mharris@redhat.com>
- Added patch XFree86-4.0.1h-xf86Wacom.c-kernelheaderclash.patch to
  fix 4.0.1h build failure.

* Wed Dec 6 2000 Mike A. Harris <mharris@redhat.com>
- Fixed bug (#21303) changed 2 uses of arch "i386" to "%{ix86}"
- Remove dependancy on tar 1.13.18 by calling bunzip2 and piping to tar
- Removed I810Drm.tar.gz entirely as it smashes other dri code (mga,etc)
  and is ancient

* Wed Dec 6 2000 Mike A. Harris <mharris@redhat.com>
- Updated to CVS version xf-4.0.1h which includes many updates and
  integrates many Red Hat patches directly into XFree86 CVS.

* Sat Nov 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current. This should fix, among other things, DRI/DRM stuff on
  Matrox cards and i18n.
- Fix build with tar 1.13.18
- Add XKB patch for Romanian keyboards from Christian Gafton <gafton@redhat.com>
- Fix up Euro sign support

* Wed Oct 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't apply the PIC patch on non-ia64 platforms, it breaks X startup on x86.

* Mon Sep 25 2000 Bill Nottingham <notting@redhat.com>
- minor tweaks for ia64/glibc-2.2 build

* Thu Aug 24 2000 Bill Nottingham <notting@redhat.com>
- never mind, it doesn't. Wheee.

* Wed Aug 23 2000 Bill Nottingham <notting@redhat.com>
- oops, the r128 mobility patch breaks regular r128 cards

* Tue Aug 22 2000 Bill Nottingham <notting@redhat.com>
- fix DGA for real
- add support for the r128 Mobility chips

* Tue Aug 15 2000 Bill Nottingham <notting@redhat.com>
- fix xterm app-defaults file (#13584)
- don't build a shared xdm greeter lib

* Mon Aug 14 2000 Bill Nottingham <notting@redhat.com>
- fixes for MGA dri (text corruption)
- spell Portuguese correctly in keymap list (#12343)
- fix some absolute symlinks (#16133)
- fix xman's man config path (#15974)
- fix broken xdm pam code (#15952)
- fix bug in ATI driver (#14344)

* Fri Aug 11 2000 Bill Nottingham <notting@redhat.com>
- revert some of the i810 code; it breaks VC switching

* Sun Aug  6 2000 Bill Nottingham <notting@redhat.com>
- fix DGA so that 4.x-compiled DGA1 apps can run against 3.3.x servers
- fix tempfile handling in makedepend
- use cpp, not gcc -E 

* Fri Aug  4 2000 Bill Nottingham <notting@redhat.com>
- more CVS updates (Neomagic fixes, some i810)
- fix sparc build

* Thu Aug  3 2000 Bill Nottingham <notting@redhat.com>
- do *not* do xfs stop/start in condrestat

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- update CVS (i810 fixes, others)
- move some more files out of -xdm, into xinitrc package
- remove /usr/share/fonts/default/TrueType from default xfs config (#14683)
- fix weirdness in the i810 driver update

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- hack to work around gcc bug triggered by xwd (patch207)
- modified xfs post script to add in no-listen = tcp per Bill's request

* Tue Jul 25 2000 Elliot Lee <sopwith@redhat.com>
- Some i810/i815 stuff (new I810Drm.tar.gz, updated to xf4.0.1-I810copy.patch only to find out
that it is already included in this source tree).

* Mon Jul 24 2000 Bill Nottingham <notting@redhat.com>
- add patch for xf86 vidmode extension
- add icelandic keymap to list of keymaps

* Sat Jul 22 2000 Bill Nottingham <notting@redhat.com>
- hey, we recognize the geforce2 now. Wonder if it works. :)

* Thu Jul 19 2000 Bill Nottingham <notting@redhat.com>
- oops, I broke the sparc Mach64 patch on sparc

* Wed Jul 18 2000 Bill Nottingham <notting@redhat.com>
- move initscript back
- update CVS
- remove Mesa (use its own separate package for easier updating)
- kill the GL wrapper
- fix linking of dri modules so that symbol resolution with Mesa works right
- add sparc Mach64 patch from DaveM
- fix sparc Mach64 patch so it builds
- add ffb patch from Jakub
- fix xfs user creation

* Fri Jul 14 2000 Elliot Lee <sopwith@redhat.com>
- Fix Mesa library version info
- Set Mesa package version to reflect Mesa version (not the XFree86
  version), and set release to something that will facilitate upgrades
  from older Mesa pkgs while still being informative.
- Only pass -j to toplevel make, which takes care of passing it on down.

* Thu Jul 13 2000 Preston Brown <pbrown@redhat.com>
- fixed xfs condrestart to do a real stop/start.
- fonts.* files in font directories are config(noreplace)

* Thu Jul 13 2000 Elliot Lee <sopwith@redhat.com>
- Update Mesa to 3.2 release.
- Use mmx/sse/x86 stuff for Mesa on 386 and up, not just if building for 686 (since MMX is
available on 586 many times, and since the functionality is runtime-configured).
- Try to integrate newer i810/i815 driver (unfinished)

* Mon Jul 10 2000 Bill Nottingham <notting@redhat.com>
- update CVS while I'm here
- don't use ix86 PCI code on ia64
- fix some int/long bogosity in some of the drivers

* Sat Jul  8 2000 Bill Nottingham <notting@redhat.com>
- update CVS
- build with new compiler to fix Xserver problems on i386
- add parallel make patch from H. J. Lu

* Tue Jul  4 2000 Bill Nottingham <notting@redhat.com>
- oops, open the right software Mesa lib
- build DRI everywhere

* Mon Jul  3 2000 Bill Nottingham <notting@redhat.com>
- fix Mesa install
- add Romanian keymap so keymaps get installed

* Sun Jul  2 2000 Bill Nottingham <notting@redhat.com>
- add console.apps file for xserver (#13325)
- prereq chkfontpath for font packages
- update CVS
- bump version to 4.0.1
- add lemming patch

* Fri Jun 30 2000 Bill Nottingham <notting@redhat.com>
- update CVS, sparc patches now included
- ship pam files
- point X symlink to Xwrapper, not XFree86

* Thu Jun 29 2000 Bill Nottingham <notting@redhat.com>
- fix pamsession, xfsredhat patches
- turn off joystick, it relies on magic symbols defined *nowhere*

* Wed Jun 28 2000 Preston Brown <pbrown@redhat.com>
- merged in a bunch of patches from 3.3.6 that somehow got dropped including:
- xkb changes
- some xfs changes
- xterm app-defaults
- pam session fix for xdm
- define some paths in host.def instead of a wild mess of patches
- kill compat links from /etc/X11/<dirname> to /usr/X11R6/lib/X11/<dirname>

* Wed Jun 28 2000 Bill Nottingham <notting@redhat.com>
- add Mesa wrapper
- put Mesa libs in /usr/lib
- return of Xwrapper
- take setuid off XFree86

* Wed Jun 28 2000 Jakub Jelinek <jakub@redhat.com>
- remove 3 obsolete SPARC patches
- add 2 new ones

* Tue Jun 27 2000 Bill Nottingham <notting@redhat.com>
- put setuid on XFree86 (temporary)
- yank setuid off xload 
- put the xfs %%pre back in
- xfs initscript munging
- fix ia64 patches

* Tue Jun 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current CVS

* Thu Jun 22 2000 Bill Nottingham <notting@redhat.com>
- return of the font %%post/%%postuns
- move some of the xdm stuff to xinitrc
- put libglut in with Mesa

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- build glint module on alpha

* Thu Jun 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up Xaw (Bugs #11404 and #11426)
- more FHS fixes (fix bug #11358 and some related unreported bugs)

* Wed Jun 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- split off Mesa and Mesa-devel
- FHSify
- fix build on alpha and ia64

* Wed Jun  7 2000 Bill Nottingham <notting@redhat.com>
- merge in ia64 fixes

* Fri Jun  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- change PAM configuration to use system-auth
- build fix for Sparc

* Tue May 23 2000 Jakub Jelinek <jakub@redhat.com>
- don't define GlxStubLib if DllModules is not defined -
  otherwise things don't compile on i386

* Mon May 22 2000 Jakub Jelinek <jakub@redhat.com>
- support ffb, leo and cg6 on sparc
- only switch to dlopen() loader on selected architectures

* Thu May 11 2000 Bill Nottingham <notting@redhat.com>
- switch to dlopen() loader

* Wed May 10 2000 Bill Nottingham <notting@redhat.com>
- add man pages to -devel

* Sun May  7 2000 Bill Nottingham <notting@redhat.com>
- more directory shuffles

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- more random fixes

* Wed May  3 2000 Bill Nottingham <notting@redhat.com>
- various fixes
- fix specfile for ia64
- merge drivers back into XFree86 package

* Sun Apr 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update xf86cfg
- fix up the xf86cfg patch
- various fixes

* Thu Apr 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up x11perfcomp and move it to -tools
- Fix up xfs (missing init script...)
- chkconfig'ize xfs
- move pswrap to -devel

* Sat Apr  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add xf86cfg (successor to XF86Setup, taken from the XFree86 4.0a tree
  with permission from the patch author)
- Move the directory fixup stuff from %pre to %triggerpostun -- XFree86 < 3.9
  We don't want to fix things twice...

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix post script breakage
- Disable build root strip policy (drivers can't be stripped)
- strip the stuff we can safely strip manually
- add /usr/include stuff
- add some stuff from Mesa - we don't really want to obsolete Mesa
  without providing GLU and glut.
- move some man pages from XFree86 to XFree86-tools, where they belong.
- move some files to subpackages:
  beforelight, xclipboard, xclock, xfd, xieperf, xmag, xwininfo are now
  in XFree86-tools (rather than XFree86)
  makeg is now in XFree86-devel (rather than XFree86)
- obsolete Mesa, glxMesa* and xpm in -libs
- hope it still compiles

* Tue Apr  4 2000 Jakub Jelinek <jakub@redhat.com>
- Even move sparc tweaks

* Sat Apr  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Make it compile on sparc (Patch from Jakub Jelinek <jakub@redhat.com>,
  some additional fixes from me)
- Autodetect the right version of Tcl/Tk
- remove xinitrc, we get it from the xinitrc package

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- More fixes
- Fix compilation on alpha
- TODO: Port our 3.3.6 patches

* Wed Mar 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add the man pages ;)
- Merge some patches from the RPMs at seawood.org
- Various fixes

* Mon Mar 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial RPM

